import { openBlock as l, createElementBlock as i, mergeProps as d, renderSlot as u, defineComponent as f, computed as h, withDirectives as v, createElementVNode as n, vModelCheckbox as g, Fragment as y, createTextVNode as k, toDisplayString as b, createCommentVNode as c, ref as x, createBlock as $ } from "vue";
const L = {
  __name: "Button",
  props: {},
  setup(e) {
    return (s, a) => (l(), i("button", d(s.$attrs, { class: "inline-flex items-center rounded border border-transparent bg-zinc-600 py-3 px-3.5 text-sm font-semibold uppercase tracking-widest text-white transition hover:bg-zinc-800 focus:border-zinc-900 focus:outline-none focus:ring focus:ring-zinc-300 active:bg-zinc-900 disabled:opacity-25" }), [
      u(s.$slots, "default")
    ], 16));
  }
}, w = { class: "flex items-center" }, z = ["value"], _ = { class: "ml-2 text-sm text-zinc-600" }, P = /* @__PURE__ */ f({
  __name: "Checkbox",
  props: {
    checked: { type: [Array, Boolean], default: !1 },
    value: { default: () => {
    } },
    label: { default: () => {
    } }
  },
  emits: ["update:checked"],
  setup(e, { emit: s }) {
    const a = h({
      get: () => e.checked,
      set: (o) => s("update:checked", o)
    });
    return (o, t) => (l(), i("label", w, [
      v(n("input", d(o.$attrs, {
        "onUpdate:modelValue": t[0] || (t[0] = (r) => a.value = r),
        value: e.value,
        class: "rounded border-zinc-300 text-zinc-600 shadow-sm focus:border-zinc-300 focus:ring focus:ring-zinc-200 focus:ring-opacity-50",
        type: "checkbox"
      }), null, 16, z), [
        [g, a.value]
      ]),
      n("span", _, [
        e.label ? (l(), i(y, { key: 0 }, [
          k(b(e.label), 1)
        ], 64)) : u(o.$slots, "default", { key: 1 })
      ])
    ]));
  }
}), q = { class: "flex justify-between" }, B = ["for"], V = { key: 1 }, C = /* @__PURE__ */ n("svg", {
  xmlns: "http://www.w3.org/2000/svg",
  class: "h-4 w-4",
  viewBox: "0 0 24 24",
  fill: "none",
  stroke: "currentColor",
  "stroke-width": "2",
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
}, [
  /* @__PURE__ */ n("path", { d: "M12 6v12" }),
  /* @__PURE__ */ n("path", { d: "M17.196 9 6.804 15" }),
  /* @__PURE__ */ n("path", { d: "m6.804 9 10.392 6" })
], -1), S = [
  C
], N = /* @__PURE__ */ f({
  __name: "RequiredFieldLabel",
  props: {
    label: { default: () => {
    } },
    required: { type: Boolean, default: !1 }
  },
  setup(e) {
    return (s, a) => {
      var o;
      return l(), i("div", q, [
        e.label ? (l(), i("label", {
          key: 0,
          for: (o = s.name) != null ? o : e.label,
          class: "block text-sm font-medium"
        }, b(e.label), 9, B)) : c("", !0),
        e.required ? (l(), i("span", V, S)) : c("", !0)
      ]);
    };
  }
}), I = { class: "isolate rounded-md shadow-sm" }, M = { class: "group relative rounded border border-zinc-300 px-4 py-1.5 focus-within:z-10 focus-within:border-zinc-600 focus-within:ring-1 focus-within:ring-zinc-600" }, j = { class: "text-zinc-400 group-focus-within:text-zinc-700" }, D = ["label", "name", "type", "value", "required"], E = {
  key: 0,
  class: "absolute inset-y-0 right-0 flex items-end pr-3 pb-2"
}, F = { class: "text-zinc-500 sm:text-sm" }, R = /* @__PURE__ */ f({
  __name: "Input",
  props: {
    modelValue: { type: [String, Number], required: !0 },
    label: { type: String, default: void 0 },
    name: { type: String, default: void 0 },
    type: { type: String, default: "text" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { expose: s }) {
    s({
      focus: o
    });
    const a = x();
    function o() {
      var t;
      (t = a.value) == null || t.focus();
    }
    return (t, r) => {
      var m;
      return l(), i("div", I, [
        n("div", M, [
          n("div", j, [
            u(t.$slots, "label", {}, () => [
              e.label ? (l(), $(N, {
                key: 0,
                label: e.label,
                required: e.required
              }, null, 8, ["label", "required"])) : c("", !0)
            ])
          ]),
          n("input", d({
            ref_key: "input",
            ref: a,
            label: e.label,
            name: (m = e.name) != null ? m : e.label,
            type: e.type,
            value: e.modelValue,
            class: "block border-0 bg-transparent p-0 text-zinc-900 placeholder-zinc-500 focus:ring-0 w-full"
          }, t.$attrs, {
            required: e.required,
            onInput: r[0] || (r[0] = (p) => t.$emit("update:modelValue", p.target.value))
          }), null, 16, D),
          t.$slots.trail ? (l(), i("div", E, [
            n("span", F, [
              u(t.$slots, "trail")
            ])
          ])) : c("", !0)
        ])
      ]);
    };
  }
});
export {
  L as Button,
  P as Checkbox,
  R as Input
};
